package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name="tb_lib_borrow_his")
public class TbLibBorrowHis extends BaseEntity {
    /**
     * 历史月份
     */
    private String hisMonth;
    /**
     * 会员卡id tb_lib_vip id
     */
    private String vipId;
    /**
     * 学生姓名
     */
    private String childName;
    /**
     * 头像
     */
    private String childImg;
    /**
     * 排名
     */
    private Integer ranking;
    /**
     * 借阅总数
     */
    private Integer borrowNum;
    /**
     * 借阅次数
     */
    private Integer borrowTimes;
    /**
     * 年份
     */
    private String hisYear;
    /**
     * 馆id
     */
    private String libId;

    /**
     * 标记是否前三 是1否2
     */
    private Integer headRanking;

    public String getHisMonth() {
        return hisMonth;
    }

    public void setHisMonth(String hisMonth) {
        this.hisMonth = hisMonth;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public String getChildImg() {
        return childImg;
    }

    public void setChildImg(String childImg) {
        this.childImg = childImg;
    }

    public Integer getRanking() {
        return ranking;
    }

    public void setRanking(Integer ranking) {
        this.ranking = ranking;
    }

    public Integer getBorrowNum() {
        return borrowNum;
    }

    public void setBorrowNum(Integer borrowNum) {
        this.borrowNum = borrowNum;
    }

    public Integer getBorrowTimes() {
        return borrowTimes;
    }

    public void setBorrowTimes(Integer borrowTimes) {
        this.borrowTimes = borrowTimes;
    }

    public String getHisYear() {
        return hisYear;
    }

    public void setHisYear(String hisYear) {
        this.hisYear = hisYear;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public Integer getHeadRanking() {
        return headRanking;
    }

    public void setHeadRanking(Integer headRanking) {
        this.headRanking = headRanking;
    }
}
